sasl_idle(3)

NAME
sasl_idle - Perform precalculations during an idle period

SYNOPSIS
#include <sasl/sasl.h>

int sasl_idle( sasl_conn_t *conn)

DESCRIPTION
sasl_idle may be called during an idle period to allow the SASL library or any mechanisms to perform any necessary precalculation. conn may be NULL to do precalculation prior to a connection taking place.

RETURN VALUE
Returns 1 if action was taken, 0 if no action was taken.

CONFORMING TO
RFC 4422

SEE ALSO
sasl(3)